Subject: Re: [lojban] Document Management

From: "Chris Double" <[email-masked]>
Date: Fri, 30 Mar 2001 09:27:53 +1200

> >When creating documents myself for distribution in different formats I
> >use custom XML tags. Basically I build a DTD as I go along using
> >elements that describe the information being stored. I then use XSLT
> >stylesheets to transform this to HTML, Docbook, XSL-FO, or whatever.
>
>sounds very appealing, what exactly do you have to do to be able to
>convert to all those formats?

I create an XSLT stylesheet to transform the XML document into whatever is required for my output format - usually another document like Docbook or HTML.

XSLT is a declarative language that allows you to define how to manipulate the XML tags in your original document and how they should appear in the the resulting document. You use an XSLT processor to do the work. For example, I use saxon:

saxon -o result.html input.xml input2html.xsl

The stylesheets only need to be written once for each output type and can be re-used on all input documents conforming to the same XML structure.

See articles on www.xml.com or www.xmlhack.com for more details and examples.

Chris.
-- 
http://www.double.co.nz/lojban